/* Installation script */
/*    SimplyFix 3.0    */
arg cmd

cr = d2c(13)
lf = d2c(10)
crlf = cr || lf

/* Register with REXX API extensions. */
IF RxFuncQuery('SysLoadFuncs') <> 0 THEN
DO
  Call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
  Call SysLoadFuncs
END

if cmd = 'DESK' then
  signal makedesk

say
say 'SimplyFix verr installato nella directory corrente, continuo (S/N) ?'
say
parse pull risp

if translate(strip(risp)) == 'N' then
do
  cls
  exit
end

curdir = directory()

say
say '*********************************'
say 'Estrazione dei files attendere...'
say '*********************************'
say

/* Unzippa il tutto */
'@unzip PRG.ZIP'

/* Unzippa le TIPS Italiane */
'@unzip TIPSITA.ZIP'

makedesk:

say
say '**************************'
say 'Sto creando la cartella...'
say '**************************'
say

res = SysCreateObject("WPFolder", "SimplyFix " || crlf || "v. 3.0", "<WP_DESKTOP>", "OBJECTID=<SIMPLYFIXFOLDER>;ALWAYSSORT=YES;ICONFILE=" || curdir || "\SFix3.ICO", update)

say
say '**************************'
say 'Sto creando gli oggetti...'
say '**************************'
say

res = SysCreateObject("WPProgram", "SimplyFix 3", "<SIMPLYFIXFOLDER>", "OBJECTID=<SIMPLYFIX>;EXENAME=" || curdir || "\SFix3.exe;STARTUPDIR=" || curdir , replace)
res = SysCreateObject("WPShadow", "Leggimi", "<SIMPLYFIXFOLDER>", "OBJECTID=<SIMPLYFIXREADME>;SHADOWID=" || curdir || "\ReadmeITA.txt" , replace)

say
say '**********'
say 'Fatto !   '
say '**********'
say

call SysOpenObject '<SIMPLYFIXFOLDER>', 0, 0

Exit
