/* Installation script */
/*    SimplyFix 3.0    */
arg cmd

cr = d2c(13)
lf = d2c(10)
crlf = cr || lf

/* Register with REXX API extensions. */
IF RxFuncQuery('SysLoadFuncs') <> 0 THEN
DO
  Call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
  Call SysLoadFuncs
END

if cmd = 'DESK' then
  signal makedesk

say
say 'SimplyFix will be installed into current directory, continue (Y/N) ?'
say
parse pull risp

if translate(strip(risp)) == 'N' then
do
  cls
  exit
end

curdir = directory()

say
say '******************************'
say 'Extract files, please wait....'
say '******************************'
say

/* Unzippa il tutto */
'@unzip PRG.ZIP'

/* Unzippa le TIPS Italiane */
'@unzip TIPSENG.ZIP'

makedesk:

say
say '****************'
say 'Create folder...'
say '****************'
say

res = SysCreateObject("WPFolder", "SimplyFix " || crlf || "v. 3.0", "<WP_DESKTOP>", "OBJECTID=<SIMPLYFIXFOLDER>;ALWAYSSORT=YES;ICONFILE=" || curdir || "\SFix3.ICO", update)

say
say '*****************'
say 'Create Objects...'
say '*****************'
say

res = SysCreateObject("WPProgram", "SimplyFix 3", "<SIMPLYFIXFOLDER>", "OBJECTID=<SIMPLYFIX>;EXENAME=" || curdir || "\SFix3.exe;STARTUPDIR=" || curdir , replace)
res = SysCreateObject("WPShadow", "Readme", "<SIMPLYFIXFOLDER>", "OBJECTID=<SIMPLYFIXREADME>;SHADOWID=" || curdir || "\ReadmeENG.txt" , replace)

say
say '**********'
say 'Done !   '
say '**********'
say

call SysOpenObject '<SIMPLYFIXFOLDER>', 0, 0

Exit
